Package org.oasis_open.docs.ws_calendar.ns.soap

# Class CalendarMultigetType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.BaseRequestType
org.oasis_open.docs.ws_calendar.ns.soap.CalendarQueryOrMultigetBaseType
org.oasis_open.docs.ws_calendar.ns.soap.CalendarMultigetType

public class CalendarMultigetType extends CalendarQueryOrMultigetBaseType
Message to fetch multiple calendar entities.

Java class for CalendarMultigetType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CalendarMultigetType">
       <complexContent>
         <extension base="{http://docs.oasis-open.org/ws-calendar/ns/soap}CalendarQueryOrMultigetBaseType">
           <sequence>
             <element name="hrefs" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}ArrayOfHrefs"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ArrayOfHrefs`
  `hrefs`

  ### Fields inherited from class org.oasis_open.docs.ws_calendar.ns.soap.CalendarQueryOrMultigetBaseType

  `allprop, expand, icalendar, limitRecurrenceSet`

  ### Fields inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseRequestType

  `href, id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CalendarMultigetType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ArrayOfHrefs`
  `getHrefs()`
  Gets the value of the hrefs property.
  `void`
  `setHrefs(ArrayOfHrefs value)`
  Sets the value of the hrefs property.

  ### Methods inherited from class org.oasis_open.docs.ws_calendar.ns.soap.CalendarQueryOrMultigetBaseType

  `getAllprop, getExpand, getIcalendar, getLimitRecurrenceSet, setAllprop, setExpand, setIcalendar, setLimitRecurrenceSet`

  ### Methods inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseRequestType

  `getHref, getId, setHref, setId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### hrefs

    protected ArrayOfHrefs hrefs

- ## Constructor Details

  - ### CalendarMultigetType

    public CalendarMultigetType()

- ## Method Details

  - ### getHrefs

    public ArrayOfHrefs getHrefs()
    Gets the value of the hrefs property.
    Returns:
      possible object is `ArrayOfHrefs`

  - ### setHrefs

    public void setHrefs(ArrayOfHrefs value)
    Sets the value of the hrefs property.
    Parameters:
      `value` - allowed object is `ArrayOfHrefs`